Get Payment Beneficiaries List

Retrieve a list of stored payment beneficiaries for the Payment Initiation Service (PIS).

Endpoint

GET /v1/payments/stored-beneficiaries

Query Parameters

No query parameters.

Request Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).
AuthorizationStringMandatoryThe oAuth2 Bearer token obtained from the SCA performed prior to this request.
PSU-IP-AddressStringMandatoryThe forwarded IP address header field consists of the corresponding HTTP request IP address field between PSU and TPP.
Consent-IDUUIDMandatoryThe consent ID of the related AIS consent.
PSU-IP-PortStringOptionalThe forwarded IP Port header field consists of the corresponding HTTP request IP Port field between PSU and TPP, if available.
PSU-Device-IDUUIDOptionalUUID for a device, which is used by the PSU if available. Identifies either a device or a device-dependent application installation. This ID needs to be unaltered until removal from device.
PSU-Geo-LocationStringOptionalThe forwarded Geo Location of the corresponding HTTP request between PSU and TPP, if available.

Response

HTTP Response Code: 200 (OK)

Response Headers

AttributeTypeConditionDescription
LocationStringMandatoryLocation of the created resource (if created).
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).

Response Body

AttributeTypeConditionDescription
beneficiariesList of Payment BeneficiaryMandatoryA list of Payment Beneficiary objects.
paginationPaginationMandatoryPagination information about the returned results.

Example

Request

curl -X GET \
https://mp-psd2-api.mypos.com/v1/payments/stored-beneficiaries \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'TPP-Signature-Certificate: ...' \
-H 'Signature: ...' \
-H 'Digest: SHA256' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \
-d '{}'

Response

{
    "paymentId": "e454aa67-2829-49da-a4e3-9fbcdd6e7545",
    "paymentStatus": "RCVD",
    "_links": {
        "self": {
            "href": "/v1/payments/cross-border-credit-transfers/e454aa67-2829-49da-a4e3-9fbcdd6e7545"
        },
        "status": {
            "href": "/v1/payments/cross-border-credit-transfers/e454aa67-2829-49da-a4e3-9fbcdd6e7545/status"
        },
        "scaStatus": {
            "href": "v1/consents/3c7816ee-3d51-4bf5-8ced-ece2af35d431/status"
        },
        "scaOAuth": {
            "href": "https://www.mypos.com?open_bank_payment_id=e454aa67-2829-49da-a4e3-9fbcdd6e7545"
        }
    }
}